"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandOptions = void 0;
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const clime_1 = require("clime");
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const profile_command_1 = require("../../interfaces/profile.command");
const profile_options_1 = require("../../interfaces/profile.options");
const namespace_resolver_1 = require("../../resolvers/namespace.resolver");
const formatter_service_1 = require("../../services/formatter.service");
class CommandOptions extends profile_options_1.ProfileOptions {
}
__decorate([
    (0, clime_1.option)({
        flag: 'n',
        description: 'Namespace name.',
    }),
    __metadata("design:type", String)
], CommandOptions.prototype, "namespaceName", void 0);
exports.CommandOptions = CommandOptions;
let default_1 = class default_1 extends profile_command_1.ProfileCommand {
    constructor() {
        super();
    }
    async execute(options) {
        const profile = this.getProfile(options);
        const namespaceId = await new namespace_resolver_1.NamespaceNameResolver().resolve(options);
        this.spinner.start();
        const namespaceHttp = profile.repositoryFactory.createNamespaceRepository();
        (0, rxjs_1.forkJoin)(namespaceHttp.getLinkedMosaicId(namespaceId).pipe((0, operators_1.catchError)(() => (0, rxjs_1.of)(null))), namespaceHttp.getLinkedAddress(namespaceId).pipe((0, operators_1.catchError)(() => (0, rxjs_1.of)(null)))).subscribe((res) => {
            this.spinner.stop();
            if (res[0]) {
                console.log('\n' + res[0].toHex());
            }
            else if (res[1]) {
                console.log('\n' + res[1].pretty());
            }
            else {
                console.log(formatter_service_1.FormatterService.error('The namespace is not linked with a mosaic or address'));
            }
        }, (err) => {
            this.spinner.stop();
            console.log(formatter_service_1.FormatterService.error(err));
        });
    }
};
__decorate([
    clime_1.metadata,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [CommandOptions]),
    __metadata("design:returntype", Promise)
], default_1.prototype, "execute", null);
default_1 = __decorate([
    (0, clime_1.command)({
        description: 'Get mosaicId or address behind an namespace',
    }),
    __metadata("design:paramtypes", [])
], default_1);
exports.default = default_1;
