"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnnounceResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Announce resolver
 */
class AnnounceResolver {
    /**
     * Resolves if the user wants to announce the transaction.
     * @param {CreateProfileOptions} options - Command options.
     * @param {string} altText - Alternative text.
     * @returns {Promise<boolean>}
     */
    async resolve(options, altText) {
        if (await (0, options_resolver_1.OptionsConfirmResolver)(options, 'announce', altText ? altText : 'Do you want to announce this transaction?')) {
            options.announce = true;
        }
        return options.announce;
    }
}
exports.AnnounceResolver = AnnounceResolver;
