"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Message resolver
 */
class MessageResolver {
    /**
     * Resolves a message provided by the user.
     * @param {Options} options - Command options.
     * @param {string} altText - Alternative text.
     * @param {string} altKey - Alternative key.
     * @returns {Promise<string>}
     */
    async resolve(options, secondSource, altText, altKey) {
        const resolution = await (0, options_resolver_1.OptionsResolver)(options, altKey ? altKey : 'message', () => undefined, altText ? altText : 'Enter a message:', 'text', undefined);
        return resolution;
    }
}
exports.MessageResolver = MessageResolver;
