"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptinResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Optin resolver
 */
class OptinResolver {
    /**
     * Resolves if the account is imported using the optin. Opt-in Symbol wallet uses curve Secp256K1 else uses curve Ed25519
     * @param {CommandOptions} options - Command options.
     * @param {string} altText - Alternative text.
     * @returns {Promise<boolean>}
     */
    async resolve(options, altText) {
        if (await (0, options_resolver_1.OptionsConfirmResolver)(options, 'optin', altText ? altText : 'Are you importing an Opted In account?')) {
            options.optin = true;
        }
        return options.optin;
    }
}
exports.OptinResolver = OptinResolver;
