"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookService = void 0;
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const axios_1 = require("axios");
const symbol_uri_scheme_1 = require("symbol-uri-scheme");
/**
 * Webhook service
 */
class WebhookService {
    /**
     * Posts AnnounceTransactionWebhookDTO to webhookUrl.
     * @param {string} webhookUrl - URL to post AnnounceTransactionWebhookDTO.
     * @param {string} hash - Transaction hash.
     * @param {string} signerPublicKey - Transaction signer public key.
     * @returns {UnresolvedAddress}
     */
    static postAnnounceTransactionWebhook(webhookUrl, hash, signerPublicKey) {
        return axios_1.default.post(webhookUrl, new symbol_uri_scheme_1.AnnounceTransactionWebhookBuilder(hash, signerPublicKey).build());
    }
}
exports.WebhookService = WebhookService;
