"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BLSPublicKeyValidator = void 0;
/**
 * BLS public key validator
 */
class BLSPublicKeyValidator {
    /**
     * Validates a BLS public key format.
     * @param {string} value - Private key.
     * @returns {true | string}
     */
    validate(value) {
        return value.length !== 96 || !/^[0-9a-fA-F]+$/.test(value) ? 'BLS public key must be a 96 characters hexadecimal string' : true;
    }
}
exports.BLSPublicKeyValidator = BLSPublicKeyValidator;
