"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FinalizationPointValidator = void 0;
const symbol_sdk_1 = require("symbol-sdk");
/**
 * Finalization point validator
 */
class FinalizationPointValidator {
    /**
     * validates if a point is valid.
     * @param {string} value.
     * @returns {true | string}
     */
    validate(value) {
        try {
            symbol_sdk_1.UInt64.fromNumericString(value);
        }
        catch (err) {
            return 'Finalization point must be an integer';
        }
        return true;
    }
}
exports.FinalizationPointValidator = FinalizationPointValidator;
