"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrivateKeyValidator = void 0;
/**
 * Private key validator
 */
class PrivateKeyValidator {
    /**
     * Validates a private key format.
     * @param {string} value - Private key.
     * @returns {true | string}
     */
    validate(value) {
        return value.length !== 64 || !/^[0-9a-fA-F]+$/.test(value) ? 'Private key must be a 64 characters hexadecimal string' : true;
    }
}
exports.PrivateKeyValidator = PrivateKeyValidator;
