"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MosaicRestrictionKeyValidator = void 0;
const symbol_sdk_1 = require("symbol-sdk");
/**
 * Validator of mosaic restriction key
 */
class MosaicRestrictionKeyValidator {
    /**
     * Validates if a mosaic restriction key is valid.
     * @param {string} value - Mosaic restriction key.
     * @returns {true | string}
     */
    validate(value) {
        try {
            symbol_sdk_1.UInt64.fromNumericString(value);
        }
        catch (err) {
            return 'Restriction key must be a valid UInt64 string';
        }
        return true;
    }
}
exports.MosaicRestrictionKeyValidator = MosaicRestrictionKeyValidator;
